Search

DJI Mini SE Released

DJI Mini SE Released - You need to get DJI FLY App 1.4.8 to be able to use the DJI Mini SE, on top of this DJI has thrown in some extra bones for Air 2S owners




144 views0 comments